Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.trigger
Class TargetClass

    java.lang.Object
      org.deegree.framework.trigger.TargetClass

    public class TargetClass

extends Object

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`TargetClass(String name, Map<String,TargetMethod> methods)`

Method Summary
`TargetMethod` | `getMethod(String name)` returns a method of a TargetClass identified by its name
`List<TargetMethod>` | `getMethods()` returns a list of decription of all methods of a class that may assignes one or more
`String` | `getName()` returns the name of the class

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TargetClass

    public TargetClass(String name,
                       Map<String,TargetMethod> methods)

Parameters:
  `name` -
  `methods` -

Method Detail

### getMethods

    public List<TargetMethod> getMethods()

  returns a list of decription of all methods of a class that may assignes one or more

  Returns:
    a list of decription of all methods of a class that may assignes one or more
  See Also:
    `Trigger`, `Trigger`

### getMethod

    public TargetMethod getMethod(String name)

  returns a method of a TargetClass identified by its name

  Parameters:
    `name` -
  Returns:
    a method of a TargetClass identified by its name

### getName

    public String getName()

  returns the name of the class

  Returns:
    the name of the class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org